<div style="margin-top: 20px;">
    <div class="container">
        <div class="row frame-do">
            <div class="col-md-12">
                <div class="ui-g-4">Kode Tipe</div>
                <div class="ui-g-8">: {{transferUnitRequest.IdProduct}}</div>
                <div class="ui-g-4">Kode Warna</div>
                <div class="ui-g-8">: 
                {{transferUnitRequest.Color}}</div>
                <div class="ui-g-4">Kode Rangka</div>
                <div class="ui-g-8">: 
                {{transferUnitRequest.IdFrame}}
                </div>
            </div>
            <div class="col-md-12">
                <div class="ui-g-12">
                    <h6>List Aksesoris</h6>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc1" [(ngModel)]="pickingSlip.acc1" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Helm</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc2" [(ngModel)]="pickingSlip.acc2" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Spion Kanan</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc3" [(ngModel)]="pickingSlip.acc3" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Spion Kiri</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc4" [(ngModel)]="pickingSlip.acc4" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Tool Kit</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc5" [(ngModel)]="pickingSlip.acc5" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Buku Service</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc6" [(ngModel)]="pickingSlip.acc6" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">ACCU</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acc7" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Buku Pedoman</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acc8" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Acc 8</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acctambah1" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Acc Extra1</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acctambah2" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Acc Extra2</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <h6>Mekanik PDI</h6>
                    <div class="ui-g-12">
                        <p-radioButton name="stat" value="1" [(ngModel)]="stat" (onClick)="status()" label="Internal" for="mechanicInternal"></p-radioButton>
                        <select id="mechanicInternal" [(ngModel)]="pickingSlip.mechanicinternal" class="form-control" [disabled]="stat==2" id="fiel_sales" name="mechanicInternal">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="mechanicInternal.idPartyRole" *ngFor="let mechanicInternal of mechanicInternal; trackBy: trackMechanicById">{{mechanicInternal.person.firstName}}</option>
                        </select>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="stat" value="2" [(ngModel)]="stat" (onClick)="status()" label="External" for="mechanicExternal"></p-radioButton>
                        <select id="mechanicExternal" [(ngModel)]="pickingSlip.mechanicexternal" [disabled]="stat==1" class="form-control" id="fiel_sales" name="mechanicExternal">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="mechanicExternal.idPartyRole" *ngFor="let mechanicExternal of mechanicExternal; trackBy: trackMechanicById">{{mechanicExternal.person.firstName}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="pull-right">
                        <button pButton type="submit" (click)="update()" label="{{'mpmApp.deliveryOrder.labelUpdate'|translate}}" icon="fa-save" iconPos="right" class="btn-sm">
                        </button>
                        <button pButton type="button" (click)="previousState()" label="{{'mpmApp.deliveryOrder.labelCancel'|translate}}" icon="fa-ban" iconPos="right" class="ui-button-danger btn-sm">
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>